<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.tf_staff.cargocollector.Activity.MainActivity"
    android:weightSum="2"
    android:padding="15dp">


    <!--<TextView-->
        <!--android:id="@+id/CargoName_textView"-->
        <!--android:layout_width="wrap_content"-->
        <!--android:layout_height="wrap_content"-->
        <!--android:layout_alignBottom="@+id/qr_textView"-->
        <!--android:layout_marginBottom="23dp"-->
        <!--android:layout_marginEnd="49dp"-->
        <!--android:layout_toStartOf="@+id/qr_textView"-->
        <!--android:text="CARGO NAME" />-->

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="0.9"
        android:orientation="horizontal">

        <SurfaceView
        android:id="@+id/qrReader"
        android:layout_width="match_parent"
        android:layout_height="250dp" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:weightSum="2"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight=".2"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/qr_textView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginTop="15dp"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <TextView
                    android:id="@+id/CargoFrom_textView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="FROM" />

                    <TextView
                    android:id="@+id/CargoFrom_value_textView"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_alignStart="@+id/CargoFrom_textView"
                    android:layout_below="@+id/CargoFrom_textView"
                    android:layout_marginTop="17dp"
                    android:text="from address" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <TextView
                    android:id="@+id/CargoTo_textView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="TO"/>

                    <TextView
                    android:id="@+id/CargoTo_value_textView"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_alignStart="@+id/CargoTo_textView"
                    android:layout_alignTop="@+id/CargoFrom_value_textView"
                        android:layout_marginTop="17dp"
                    android:text="to address" />

                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="0.1"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/Submit_textView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:layout_marginLeft="125dp"
            android:text="SUBMIT"
            android:textSize="25dp" />

    </LinearLayout>
</LinearLayout>
